#
# spec file for package rdma
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Summary:        Infiniband/iWARP Kernel Module Initializer
Name:           rdma
Version:        2.0
Release:        7.3
License:        GPL-2.0+
URL:            http://www.suse.com
Group:          System Environment/Base
Source0:        rdma.conf
Source1:        rdma.udev-ipoib-naming.rules
Source6:        rdma.service
Source7:        rdma.sbin
Source8:        rdma.udev-rules
Source9:        rdma-init-kernel.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
%if 0%suse_version < 1310
BuildRequires:  systemd
%else
BuildRequires:  systemd-rpm-macros
%endif
BuildRequires:  udev
Requires:       udev >= 095
Provides:       ofed = 5.0
Obsoletes:      ofed < 5.0

%systemd_requires

%description 
User space initialization scripts for the kernel InfiniBand/iWARP drivers

%prep

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/usr/lib/udev/rules.d
install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_mandir}/man8

# Stuff to go into the base package
install -m 0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -m 0644 %{SOURCE1} %{buildroot}/usr/lib/udev/rules.d/70-persistent-ipoib.rules
install -m 0644 %{SOURCE6} %{buildroot}%{_unitdir}/rdma.service
install -m 0755 %{SOURCE7} %{buildroot}%{_sbindir}/rdma-init-kernel
install -m 0644 %{SOURCE8} %{buildroot}/usr/lib/udev/rules.d/98-rdma.rules

install -m 0644 %{SOURCE9} %{buildroot}%{_mandir}/man8/rdma-init-kernel.8
gzip -9 %{buildroot}%{_mandir}/man8/rdma-init-kernel.8

ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}

%clean

%pre
%service_add_pre rdma.service

%post
%service_add_post rdma.service

%preun
%service_del_preun rdma.service

%postun
%service_del_postun rdma.service

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
/usr/lib/udev/rules.d/*
%{_unitdir}/%{name}.service
%{_sbindir}/rdma-init-kernel
#%%{_sysconfdir}/sysconfig/network-scripts/*
%{_sbindir}/rc%{name}
%{_mandir}/man8/rdma-init-kernel.8.gz

%changelog
* Thu Jul 17 2014 pth@suse.de
- Add a symlink /usr/sbin/rcrdma -> /usr/sbin/service.
- Add a man page for rdma-init-kernel.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Wed May  7 2014 pth@suse.de
- Change enic to usnic_verbs in the udev rules (bnc#876402).
* Wed Feb 19 2014 pth@suse.de
- Remove dropped files from spec.
* Wed Feb 19 2014 pth@suse.de
- Remove ifcfg.template, rdma.ifup and rdma.ifdown as confguration
  is done by YaST2 and interface managment by wicked.
* Wed Dec 11 2013 pth@suse.de
- Remove the hack that remaps thew PCI I/O space.
* Mon Dec  2 2013 pth@suse.de
- Add systemd-rpm-macros as BuildRequires for 13.1 and beyond.
- BuildRequire systemd_requires.
- Add pre section for service
- Add provides/obsoletes ofed
- Fix the use of the systemd rpm macros
- Fix location of udev rules
* Thu Nov 28 2013 pth@suse.de
- Initial package based on the redhat package of same name.
